Create Answers
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"blockId": "<string>",
"content": "<string>",
"groupId": "<string>",
"variableId": "<string>",
"attachedFileUrls": [
"<string>"
]
}
]
'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}/answers"
payload = [
{
"blockId": "<string>",
"content": "<string>",
"groupId": "<string>",
"variableId": "<string>",
"attachedFileUrls": ["<string>"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
blockId: '<string>',
content: '<string>',
groupId: '<string>',
variableId: '<string>',
attachedFileUrls: ['<string>']
}
])
};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123
}{
"error": "<string>",
"message": "<string>"
}Results
Save Answer
Create answers for a result.
POST
/
v3
/
bots
/
{botId}
/
results
/
{resultId}
/
answers
Create Answers
curl --request POST \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"blockId": "<string>",
"content": "<string>",
"groupId": "<string>",
"variableId": "<string>",
"attachedFileUrls": [
"<string>"
]
}
]
'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}/answers"
payload = [
{
"blockId": "<string>",
"content": "<string>",
"groupId": "<string>",
"variableId": "<string>",
"attachedFileUrls": ["<string>"]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
blockId: '<string>',
content: '<string>',
groupId: '<string>',
variableId: '<string>',
attachedFileUrls: ['<string>']
}
])
};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/{resultId}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"count": 123
}{
"error": "<string>",
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Default Response